import { HttpException, HttpStatus } from '@nestjs/common';
import { Provincia } from './provincia.entity';
import { Departamento } from '../departamento/departamento.entity';
import { Repository } from 'typeorm';
import { CreateProvinciaDto } from './dto/create-provincia.dto';
import { UpdateProvinciaDto } from './dto/update-provincia.dto';
export declare class ProvinciaService {
    private provinciaRepository;
    private departamentoRepository;
    constructor(provinciaRepository: Repository<Provincia>, departamentoRepository: Repository<Departamento>);
    getDataAll(): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        distrito: {
            created_at: string;
            updated_at: string;
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            provincia_id: number;
            provincia: Provincia;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
        id: number;
        codigo: string;
        nombre: string;
        deleted_at: Date;
        departamento_id: number;
        departamento: Departamento;
    }[]>;
    getData(page?: number, limit?: number): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            distrito: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                provincia_id: number;
                provincia: Provincia;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            departamento: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                pais_id: number;
                pais: import("../pais/pais.entity").Pais;
                provincia: Provincia[];
            };
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            departamento_id: number;
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    searchData(page: number, limit: number, params: any): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            distrito: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                provincia_id: number;
                provincia: Provincia;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            departamento: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                pais_id: number;
                pais: import("../pais/pais.entity").Pais;
                provincia: Provincia[];
            };
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            departamento_id: number;
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    getDataById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        distrito: {
            created_at: string;
            updated_at: string;
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            provincia_id: number;
            provincia: Provincia;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
        id: number;
        codigo: string;
        nombre: string;
        deleted_at: Date;
        departamento_id: number;
        departamento: Departamento;
    }>;
    getDataByDepartamentoId(departamento_id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        codigo: string;
        nombre: string;
        deleted_at: Date;
        departamento_id: number;
        departamento: Departamento;
        distrito: import("../distrito/distrito.entity").Distrito[];
    }[]>;
    createData(provincia: CreateProvinciaDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            distrito: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                provincia_id: number;
                provincia: Provincia;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            departamento: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                pais_id: number;
                pais: import("../pais/pais.entity").Pais;
                provincia: Provincia[];
            };
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            departamento_id: number;
        };
        status: HttpStatus;
        message: string;
    }>;
    updateData(id: number, provincia: UpdateProvinciaDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            departamento_id: number;
            departamento: Departamento;
            distrito: import("../distrito/distrito.entity").Distrito[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteData(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
